=== debian/changelog ===
optee-client (4.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063174

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:09:47 +0000

optee-client (4.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 29 Jan 2024 06:25:33 +0800

optee-client (4.0.0-1) unstable; urgency=low

  * New upstream release.
    - FTCBFS fixed by the upstream (Closes: #1023233)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 11 Dec 2023 01:07:42 +0800
