## optee-client 4.2.0

=== debian/changelog ===
optee-client (4.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 17 Apr 2024 01:13:18 +0800
