=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: optee-client
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
                docbook-xml,
                docbook-xsl,
+               dpkg-dev (>= 1.22.5),
                pkg-config,
                uuid-dev,
                xsltproc
