## optee-client 4.3.0

=== libteec/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(libteec
-	VERSION 1.0.0
+	VERSION 2.0.0
 	LANGUAGES C)
 
 ################################################################################
@@ -13,8 +13,6 @@
 ################################################################################
 # Configuration flags always included
 ################################################################################
-option(CFG_TEE_BENCHMARK "Build with benchmark support" OFF)
-
 set(CFG_TEE_CLIENT_LOG_LEVEL "1" CACHE STRING "libteec log level")
 set(CFG_TEE_CLIENT_LOG_FILE "/data/tee/teec.log" CACHE STRING "Location of libteec log")
 
@@ -26,17 +24,13 @@
 	src/teec_trace.c
 )
 
-if(CFG_TEE_BENCHMARK)
-	set(SRC ${SRC} src/teec_benchmark.c)
-endif()
-
 ################################################################################
 # Built library
 ################################################################################
 add_library(teec ${SRC})
 
 set(libteectgt teec)
-configure_file(libteec.pc.in libteec.pc @ONLY)
+configure_file(teec.pc.in teec.pc @ONLY)
 
 set_target_properties(teec PROPERTIES
 	VERSION ${PROJECT_VERSION}
@@ -52,13 +46,6 @@
 	PRIVATE -DTEEC_LOG_FILE="${CFG_TEE_CLIENT_LOG_FILE}"
 	PRIVATE -DBINARY_PREFIX="LT"
 )
-
-################################################################################
-# Optional flags
-################################################################################
-if(CFG_TEE_BENCHMARK)
-	target_compile_definitions(teec PRIVATE -DCFG_TEE_BENCHMARK)
-endif()
 
 ################################################################################
 # Public and private header and library dependencies
@@ -84,6 +71,6 @@
 	DESTINATION ${CMAKE_INSTALL_PREFIX}
 )
 
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libteec.pc"
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/teec.pc"
 	DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
 )
