=== debian/changelog ===
optee-client (4.3.0-1) unstable; urgency=low

  * New upstream version 4.3.0
  * debian/control: Build-Depends: change pkg-config to pkgconf
  * Upstream SONAME bump: libteec1t64 to libteec2

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 23 Jul 2024 04:03:44 +0800
