## optee-client 4.4.0

=== debian/changelog ===
optee-client (4.4.0-1) unstable; urgency=low

  * New upstream version 4.4.0

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 16 Jan 2025 21:12:50 +0800
