=== libteeacl/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,8 @@
 # Built library
 ################################################################################
 add_library(teeacl ${SRC})
+
+configure_file(teeacl.pc.in teeacl.pc @ONLY)
 
 set_target_properties(teeacl PROPERTIES
 	VERSION ${PROJECT_VERSION}
@@ -51,3 +53,7 @@
 )
 
 install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/" DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
+
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/teeacl.pc"
+	DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
+)
