=== debian/changelog ===
optee-client (4.5.0-1) unstable; urgency=low

  * New upstream version 4.5.0

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 21 Jan 2025 08:24:22 +0800

optee-client (4.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix empty directory loss (DEP17 P6, Closes: #1092280)
  * Fix FTCBFS: Export PKG_CONFIG for make install.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 06 Jan 2025 15:00:48 +0100
